# For Windows.
OPENCVDIR_WINDOWS = "C:/Coding/OpenCV2.1"
EXIFDIR_WINDOWS = "C:/Coding/msys/1.0"

OPENCVDIR_UBUNTU = "/usr"
EXIFDIR_UBUNTU = "/usr"

exists($$OPENCVDIR_WINDOWS) {
	DEFINES += USEOPENCV
	INCLUDEPATH += $${OPENCVDIR_WINDOWS}/include/opencv 
	LIBS += -L$${OPENCVDIR_WINDOWS}/lib -lhighgui210 -lcxcore210 -lml210 -lcv210
   
	message("OpenCV libraries for WINDOWS found in $${OPENCVDIR_WINDOWS}")
}
else {
  exists($$OPENCVDIR_UBUNTU) {
	  DEFINES += USEOPENCV
	  INCLUDEPATH += $${OPENCVDIR_UBUNTU}/include/opencv 
    LIBS += -L$${OPENCVDIR_UBUNTU}/lib -lhighgui -lcxcore -lml -lcv
    
	  message("OpenCV libraries found in $${OPENCVDIR_UBUNTU}")
  }
}
else {
	message("OpenCV libraries NOT found!!!.")
}


exists($$EXIFDIR_WINDOWS) {
	INCLUDEPATH += $${EXIFDIR_WINDOWS}/local/include  
	LIBS += -L$${EXIFDIR_WINDOWS}/local/lib -lexif

	message("mysys found in $${EXIFDIR_WINDOWS}")
}
else {
  exists($$EXIFDIR_UBUNTU) {
	  INCLUDEPATH += $${EXIFDIR_UBUNTU}/local/include  
	  LIBS += -L$${EXIFDIR_UBUNTU}/local/lib -lexif

	  message("mysys found in $${EXIFDIR_UBUNTU}")
  }
}
else {
	message("Exif libraries NOT found!!!.")
}



HEADERS     = myqtapp.h 
SOURCES	    = myqtapp.cpp main.cpp
FORMS       = myqtapp.ui

# install
target.path = myqtapp
sources.files = $$SOURCES $$HEADERS $$RESOURCES $$FORMS *.pro
sources.path = .
INSTALLS += target sources


CONFIG += console
